## org.w3c.tools.resources.event
Class FrameEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.w3c.tools.resources.event.ResourceEvent
                  |
                  +--org.w3c.tools.resources.event.FrameEvent

public class FrameEvent
extends ResourceEvent

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.event.ResourceEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FrameEvent(ResourceFrame frame, int type)` Create the Frame event.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class org.w3c.tools.resources.event.ResourceEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameEvent

    public FrameEvent(ResourceFrame frame,
                      int type)

  Create the Frame event.
  Parameters:
    `source` - The frame emitting the event.
    `type` - The kind of event being emitted.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.util.EventObject